Index: debian/control
===================================================================
--- debian/control	(revision 4275)
+++ debian/control	(working copy)
@@ -2,26 +2,26 @@
 Section: x11
 Priority: optional
 Maintainer: Yiannis Mandravellos <mandrav@codeblocks.org>
-Build-Depends: debhelper, autotools-dev, libc6-dev, libstdc++6-4.0-dev, libwxgtk2.6-dev, wx-common, zip
+Build-Depends: debhelper, autotools-dev, libstdc++-dev, libwxgtk2.6-dev, wx-common, zip
 Standards-Version: 3.6.1
-
+
 Package: libcodeblocks0
 Architecture: any
-Depends: binutils (>= 2.14.90.0.7), coreutils, file, libc6, libgcc1 (>= 1 ), libmagic1, libncurses5, libstdc++6, zlib1g
+Depends: ${shlibs:Depends}
 Description: Code::Blocks shared library
- This package contains the Code::Blocks shared library
- .
- http://www.codeblocks.org
-
+ This package contains the Code::Blocks shared library
+ .
+ http://www.codeblocks.org
+
 Package: codeblocks
 Architecture: any
-Depends: libcodeblocks0
-Recommends: gcc | g++, gdb, codeblocks-contrib
-Suggests: libwxgtk2.6-dev, wx-common
+Depends: ${shlibs:Depends}
+Recommends: gcc | g++, gdb, codeblocks-contrib (= ${Source-Version})
+Suggests: libwxgtk2.6-dev, wx-common, libwxsmithlib0-dev (= ${Source-Version})
 Description: Code::Blocks integrated development environment (IDE)
- Code::Blocks is the open-source, cross-platform Integrated Development
+ Code::Blocks is the open-source, cross-platform Integrated Development
  Environment (IDE).
- It is based on a self-developed plugin framework allowing unlimited
+ It is based on a self-developed plugin framework allowing unlimited
  extensibility. Most of its functionality is already provided by plugins.
  Plugins included in the base package are:
     * Compiler frontend to many free compilers
@@ -32,61 +32,61 @@
     * Default MIME handler
     * Wizard to create new Code::Blocks plugins
     * To-do list
-    * Extensible wizard based on scripts (for creating new projects/targets/etc)
-    * Autosave (saves your work in the unfortunate case of a crash)
- .
- http://www.codeblocks.org
-
+    * Extensible wizard based on scripts (for creating new projects/targets/etc)
+    * Autosave (saves your work in the unfortunate case of a crash)
+ .
+ http://www.codeblocks.org
+
 Package: codeblocks-dbg
-Architecture: any
-Depends: codeblocks
+Architecture: any
+Depends: codeblocks (= ${Source-Version})
 Description: Code::Blocks debugging libraries
- These are the debugging libraries for the 'codeblocks' package.
- .
- http://www.codeblocks.org
-
+ These are the debugging libraries for the 'codeblocks' package.
+ .
+ http://www.codeblocks.org
+
 Package: libwxsmithlib0
 Architecture: any
-Depends: libcodeblocks0
+Depends: ${shlibs:Depends}
 Description: wxSmith shared library (wxSmith is a Code::Blocks plugin for RAD GUI editing)
- This package contains the wxSmith shared library.
- .
- http://www.codeblocks.org
-
+ This package contains the wxSmith shared library.
+ .
+ http://www.codeblocks.org
+
 Package: codeblocks-contrib
 Architecture: any
-Depends: codeblocks, libwxsmithlib0
+Depends: codeblocks (= ${Source-Version}), ${shlibs:Depends}
 Description: Contrib plugins for Code::Blocks IDE
- This package extends Code::Blocks functionality a great deal with the included
+ This package extends Code::Blocks functionality a great deal with the included
  plugins. These are:
     * Code profiler (based on gprof)
-    * Code statistics (SLOCs etc)
-    * DragScroll (enhances mouse operations)
+    * Code statistics (SLOCs etc)
+    * DragScroll (enhances mouse operations)
     * Setting of environment variables
     * Source exporter to PDF/HTML/ODT/RTF
     * Help
     * Keyboard shortcuts configuration
-    * GUI RAD builder (wxSmith)
-    * Selection of small games for relaxing between coding sessions! (BYOGames)
+    * GUI RAD builder (wxSmith)
+    * Selection of small games for relaxing between coding sessions! (BYOGames)
     * WYSIWYG forms designer for wxWidgets (wxSmith)
- .
- http://www.codeblocks.org
-
+ .
+ http://www.codeblocks.org
+
 Package: codeblocks-dev
-Architecture: any
+Architecture: any
 Section: devel
-Depends: libcodeblocks0
+Depends: libcodeblocks0 (= ${Source-Version})
 Description: Code::Blocks development files (SDK)
- Contains the development files (headers and libraries) for creating
- Code::Blocks plugins.
- .
- http://www.codeblocks.org
-
+ Contains the development files (headers and libraries) for creating
+ Code::Blocks plugins.
+ .
+ http://www.codeblocks.org
+
 Package: libwxsmithlib0-dev
-Architecture: any
+Architecture: any
 Section: devel
-Depends: libcodeblocks0
+Depends: libwxsmithlib0 (= ${Source-Version})
 Description: wxSmith development files
- Contains the development libraries for wxSmith (Code::Blocks plugin)
- .
- http://www.codeblocks.org
+ Contains the development libraries for wxSmith (Code::Blocks plugin)
+ .
+ http://www.codeblocks.org
Index: debian/libwxsmithlib0-dev.install
===================================================================
--- debian/libwxsmithlib0-dev.install	(revision 4275)
+++ debian/libwxsmithlib0-dev.install	(working copy)
@@ -1,3 +1,2 @@
 usr/lib/libwxsmithlib.so
-usr/lib/libwxsmithlib.la
 
Index: debian/libwxsmithlib0.install
===================================================================
--- debian/libwxsmithlib0.install	(revision 4275)
+++ debian/libwxsmithlib0.install	(working copy)
@@ -1,2 +1 @@
-usr/lib/libwxsmithlib.so.0
-usr/lib/libwxsmithlib.so.0.0.1
+usr/lib/libwxsmithlib.so.*
Index: debian/codeblocks-dev.install
===================================================================
--- debian/codeblocks-dev.install	(revision 4275)
+++ debian/codeblocks-dev.install	(working copy)
@@ -1,4 +1,3 @@
 usr/include/codeblocks
 usr/lib/libcodeblocks.so
-usr/lib/libcodeblocks.la
 usr/lib/pkgconfig/codeblocks.pc
Index: debian/rules
===================================================================
--- debian/rules	(revision 4275)
+++ debian/rules	(working copy)
@@ -53,7 +53,7 @@
 	dh_testroot
 	rm -f build-stamp 
 
-	# Add here commands to clean up after the build process.
+# Clean up after the build process.
 	-$(MAKE) distclean
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
@@ -84,7 +84,7 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-	dh_install --fail-missing --sourcedir=debian/tmp
+	dh_install --sourcedir=debian/tmp
 	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
@@ -103,7 +103,7 @@
 #	dh_python
 	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+	dh_shlibdeps -L libcodeblocks0 -l debian/libcodeblocks0/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
Index: debian/codeblocks.install
===================================================================
--- debian/codeblocks.install	(revision 4275)
+++ debian/codeblocks.install	(working copy)
@@ -6,16 +6,16 @@
 usr/share/codeblocks/images/codecompletion
 usr/share/codeblocks/images/settings
 usr/share/codeblocks/lexers
-usr/share/codeblocks/plugins/libastyle.*
-usr/share/codeblocks/plugins/libautosave.*
-usr/share/codeblocks/plugins/libclasswizard.*
-usr/share/codeblocks/plugins/libcodecompletion.*
-usr/share/codeblocks/plugins/libcompiler.*
-usr/share/codeblocks/plugins/libdebugger.*
-usr/share/codeblocks/plugins/libdefaultmimehandler.*
-usr/share/codeblocks/plugins/libprojectsimporter.*
-usr/share/codeblocks/plugins/libscriptedwizard.*
-usr/share/codeblocks/plugins/libtodo.*
+usr/share/codeblocks/plugins/libastyle.so
+usr/share/codeblocks/plugins/libautosave.so
+usr/share/codeblocks/plugins/libclasswizard.so
+usr/share/codeblocks/plugins/libcodecompletion.so
+usr/share/codeblocks/plugins/libcompiler.so
+usr/share/codeblocks/plugins/libdebugger.so
+usr/share/codeblocks/plugins/libdefaultmimehandler.so
+usr/share/codeblocks/plugins/libprojectsimporter.so
+usr/share/codeblocks/plugins/libscriptedwizard.so
+usr/share/codeblocks/plugins/libtodo.so
 usr/share/codeblocks/scripts
 usr/share/codeblocks/templates
 usr/share/codeblocks/astyle.zip*
